function [accuracies] = EvaluateAllClassifications(clips,C)

[C.Location.accuracy C.Location.confusion] = EvaluateClassifications(clips,'location',C.Location.LABEL_STRINGS);
[C.Speech.accuracy C.Speech.confusion] = EvaluateClassifications(clips,'speech',C.Speech.LABEL_STRINGS);
[C.Posture.accuracy C.Posture.confusion] = EvaluateClassifications(clips,'posture',C.Posture.LABEL_STRINGS);
[C.Event.accuracy C.Event.confusion] = EvaluateClassifications(clips,'event',C.Event.LABEL_STRINGS);

accuracies = [C.Location.accuracy C.Speech.accuracy C.Posture.accuracy C.Event.accuracy];
totalNumCases = [sum(sum(C.Location.confusion)) sum(sum(C.Speech.confusion)) sum(sum(C.Posture.confusion)) sum(sum(C.Event.confusion))];
fprintf('Overall performance: Location %3.1f%%  Speech %3.1f%%  Posture %3.1f%%  Event %3.1f%%\n',accuracies);
fprintf('Number of cases:     Location %5d  Speech %5d  Posture %5d  Event %5d\n',totalNumCases);