function [featureX,labels] = computeFeatures(rawClips,C)
%
% function [featureX,labels] = computeFeatures(rawClips,featureType,C)
%
% Note: This function was only used for trying out

numClips = size(rawClips,2);
labels = [];
featureX = [];
fprintf('Computing features for clips');
for i=1:numClips
    fprintf(' %d',i);
    clipFeatures = AccFeatures(rawClips{i},C.featureType,C.WINDOWSIZE,C.TIMESTEP,C.NUM_FEATURES);
    featureX = [featureX ; clipFeatures(:,:)];
    labels = [labels ; ones(size(clipFeatures,1),1)*(rawClips{i}.label(C.INTERESTING_LABEL_IDX)+1)];
end
fprintf('\n');
%labels = labels-1;    labels(find(labels == 0)) = labels(find(labels == 0))+1; %fix for dont know class, which is 0 
classes = cell(1,C.NUM_CLASSES);
featureMat = []; featureMatVar = [];
for i=1:C.NUM_CLASSES
    %show an average of the features for each class
    slices = find(labels == i);
    classes{i}.features = mean(featureX(slices,:),1);
    featureMat = [featureMat ; classes{i}.features(:,:)];
    featureMatVar = [featureMatVar ; var(featureX(slices,:),1)];
end

% bar3(featureMat);
myPlot(['Overview of class features with feature type: ' C.featureType],'','frequency',[1:C.NUM_FEATURES],featureMat(:,:));
legend(C.LABEL_STRINGS);
drawnow;
