function C45_export(filestem,features,labels,LABEL_STRINGS,TEST_TO_TRAIN_RATIO)
%
% C45_export(filestem,features,labels,LABEL_STRINGS,TEST_TO_TRAIN_RATIO)
%

if (not(exist('TEST_TO_TRAIN_RATIO')))
    TEST_TO_TRAIN_RATIO = 3;
end

NUM_CLASSES = length(LABEL_STRINGS);
NUM_FEATURES = size(features,2);

trainingSlices = 1:TEST_TO_TRAIN_RATIO:length(labels);
testSlices = setdiff(1:length(labels),trainingSlices);


fprintf('C45_export: Creating %s.names...',filestem);
filename = sprintf('%s.names',filestem);
fid = fopen(filename,'w');
for i=1:NUM_CLASSES
    fprintf(fid,'%s',LABEL_STRINGS{i});
    if (i~=NUM_CLASSES)
        fprintf(fid,',');
    end
end
fprintf(fid,'.\n\n');
for i=1:NUM_FEATURES
    fprintf(fid,'F%d: continuous.\n',i);
end 
fclose(fid);
fprintf('done\n');


fprintf('            Creating %s.test...',filestem);
filename = sprintf('%s.test',filestem);
fid = fopen(filename,'w');
for i=testSlices
    fprintf(fid,'%10.10f,',features(i,:));
    fprintf(fid,'%s.\n',LABEL_STRINGS{labels(i)});
end
fclose(fid);
fprintf('done\n');


fprintf('            Creating %s.data...',filestem);
filename = sprintf('%s.data',filestem);
fid = fopen(filename,'w');
for i=trainingSlices
    fprintf(fid,'%10.10f,',features(i,:));
    fprintf(fid,'%s.\n',LABEL_STRINGS{labels(i)});
end
fclose(fid);
fprintf('done\n');
