classificationEvent = [];
classificationPosture = [];
classificationLocation = [];
classificationSpeech = [];
for i=1:length(testClips)
  E = testClips{i}.classificationEvent;
  P = testClips{i}.classificationPosture;
  L = testClips{i}.classificationLocation;
  S = testClips{i}.classificationSpeech;
  
  t0E = ceil(E(1,1));
  t1E = floor(E(end,1));
  t0P = ceil(P(1,1));
  t1P = floor(P(end,1));
  t0L = ceil(L(1,1));
  t1L = floor(L(end,1));
  t0S = ceil(S(1,1));
  t1S = floor(S(end,1));
  t0 = max([t0E,t0P,t0L,t0S]);
  t1 = min([t1E,t1P,t1L,t1S]);
  
  E = [interp1(E(:,1),E(:,1:end-2),(t0:1:t1)'),...
    interp1(E(:,1),E(:,end-1:end),(t0:1:t1)','nearest')];
  P = [interp1(P(:,1),P(:,1:end-2),(t0:1:t1)'),...
    interp1(P(:,1),P(:,end-1:end),(t0:1:t1)','nearest')];
  L = [interp1(L(:,1),L(:,1:end-2),(t0:1:t1)'),...
    interp1(L(:,1),L(:,end-1:end),(t0:1:t1)','nearest')];
  S = [interp1(S(:,1),S(:,1:end-2),(t0:1:t1)'),...
    interp1(S(:,1),S(:,end-1:end),(t0:1:t1)','nearest')];

  classificationEvent=[classificationEvent;E]; 
  classificationPosture=[classificationPosture;P]; 
  classificationLocation=[classificationLocation;L]; 
  classificationSpeech=[classificationSpeech;S]; 
end
[foo,classificationEvent(:,end-1)] = ...
    max(classificationEvent(:,2:end-2),[],2);
[foo,classificationPosture(:,end-1)] = ...
    max(classificationPosture(:,2:end-2),[],2);
[foo,classificationLocation(:,end-1)] = ...
    max(classificationLocation(:,2:end-2),[],2);
[foo,classificationSpeech(:,end-1)] = ...
    max(classificationSpeech(:,2:end-2),[],2);

nE = size(classificationEvent,2)-3;
nP = size(classificationPosture,2)-3;
nL = size(classificationLocation,2)-3;
nS = size(classificationSpeech,2)-3;
ev = [classificationLocation(:,end-1),classificationSpeech(:,end-1),classificationPosture(:,end-1),classificationEvent(:,end-1)]';
s = [classificationLocation(:,end),classificationSpeech(:,end),classificationPosture(:,end),classificationEvent(:,end)]';

bnet_wen = mk_influence([nL nS nP nE],[nL nS nP nE],'dddd');
% initial values
for i=1:bnet_wen.nchains
   bnet_wen.B{i} = 0.9*eye(bnet.n_states(i))+0.1/(bnet.n_states(i)-1)*(ones(bnet.n_states(i))-eye(bnet.n_states(i)));
end

engine = influence_inf_engine(bnet_wen);
%bnet_wen1 = learn_params_influence(engine,num2cell(ev),80);
bnet_wen1 = learn_params_influence(engine,num2cell(ev),50,s);
engine1 = influence_inf_engine(bnet_wen1);
mpe = influence_mpe(engine1,num2cell(ev));
engine1 = enter_evidence(engine1,num2cell(ev));

mpe0 = mpe;
n = [nL nS nP nE];
for j=1:4
    for i = 1:n[j];
        abc = sort(ev(j, find(mpe(j,:)==i)));
        if length(abc)==0, continue, end
        def = [0 find(abc(1:end-1)~=abc(2:end)) size(abc,2)];
        def = abc(max(def(2:end)-def(1:end-1)));
        mpe0(j,find(mpe(j,:)==i))=def;
    end
end

events = {'ukn','eat','typ','shk','clp','drv','bru','dis','man'};
postures = {'ukn','lyg','sit','std','wlk','run','bik'};
locations = {'ukn','offc','home','out','in','sub','car','stt','shp','res'};
speech = {'no_','me_','othr','dis','loud'};
labels = cat(2,locations,speech,postures,events);
chainStrings = {'location','speech ','posture','events '};
stateStrings = {{'unknown','office','home','outdoors','indoors','subway','car','street','shop','restautant'},...
                {'no speech','me speaking','other speaker','distant voices','loud crowd'},...
                {'unknown','lie','sit','stand','walk','run','bike'},...
                {'no event','eating','typing','shaking hands','clapping hands','driving','brushing teeth','doing the dishes','manipulation'}};


plotInfluences(influence_matrix(bnet_wen1),bnet_wen.n_states,stateStrings,'Influence Matrix(bnet_wen1)');

fprintf('Post-classification with bnet_wen1:\n');
eval_wen = EvaluatePostClassifications(mpe0',s',bnet_wen.n_states,chainStrings,4,ev',stateStrings);
fprintf('Pre-classification was:\n');
eval_pre = EvaluatePostClassifications(ev',s',bnet_wen.n_states,chainStrings,0);
s_wen = s;
% ax1 = gca;
% ax2 = axes('Position',get(ax1,'Position'),...
%            'YAxisLocation','right',...
%            'Color','none');
% set(ax2,'ytick',1:nP);
% set(ax2,'yticklabel',postures);
% set(ax2,'ylim',get(ax1,'XLim'));
% set(ax2,'ylim',get(ax1,'YLim'));
% set(ax2,'xtick',[])
