
function H = influence_matrix(bnet)

% INFLUENCE_MATRIX generates the influence matrix H
% from the influence model representation
% refer Chalee's thesis

nc = bnet.nchains;
ns = bnet.n_states;
A = bnet.A;
T = bnet.T;

ndx = [1 cumsum(ns) + 1];
sz = sum(ns);
H = zeros(sz);

for i=1:nc
  for j=1:nc
    H(ndx(i):(ndx(i)+ns(i)-1),ndx(j):(ndx(j)+ns(j)-1))= ...
        T(i,j)*A{i,j};
  end
end
