function [path gamma] = influence_mpe(engine, evidence, s)

% INFLUENCE_MPE --- find the most probable explanation
% we use gamma since we suspect that a viterbi-like algorithm
% might be NP-hard

if nargin < 3, s = nan(size(evidence));end
[engine,ll] = enter_evidence(engine,evidence, s);
gamma = engine.alpha.*engine.beta'; % one slice marginal

bnet = engine.bnet;
ns = bnet.n_states;
l_ns = length(ns);
ndx = [0 cumsum(ns)];

path = zeros(size(evidence,2),l_ns);
for i=1:l_ns
  [foo,path(:,i)]=max(gamma(:,ndx(i)+1:ndx(i+1)),[],2);
end
path = path';
