function plotInfluences(influenceMatrix,n_states,LABEL_STRINGS,titleStr,image_scale)
% 
% plotInfluences(influenceMatrix,n_states,LABEL_STRINGS))
%
% plots an imagesc() of influenceMatrix and adds lines and labels

% if not(exist('n_states'))
%     n_states = [10 5 7 9];
% end
% if not(exist('LABEL_STRINGS'))
%     LABEL_STRINGS = {{'unknown','Office','Home','Outdoors','Indoors','Subway','Car','Street','Shop','Restautant'},...
%         {'No speech','Me Speaking','Other speaker','Distant voices','Loud crowd','Speech, but none of the above'},...
%         {'unknown','lie','sit','stand','walk','run','bike'},...
%         {'unknown','Eating','Typing','Shaking hands','Clapping hands','Driving','Brushing teeth','Doing the dishes','Manipulation'}};
% end
if not(exist('n_states'))
    n_states = [8 6 7 8];
end
if not(exist('LABEL_STRINGS'))
    LABEL_STRINGS = {{'Office','Home','Outdoors','Indoors','Restautant','Car','Street','Shop'},...
        {'No speech','Me Speaking','Other speaker','Distant voices','Loud crowd','laughter'},...
        {'unknown','lie','sit','stand','walk','run','bike'},...
        {'no Event','Eating','Typing','Shaking hands','Clapping hands','Driving','Brushing teeth','Doing the dishes'}};
end

if not(exist('titleStr'))
    titleStr = 'plotInfluences()';
end
colors = {'b', 'g', 'r', 'c', 'm', 'y', 'k','b', 'g', 'r', 'c', 'm', 'y', 'k','b', 'g', 'r', 'c', 'm', 'y', 'k',};
nchains = length(n_states);

set(figure,'Color','white','Position',[5 29 1270 920]);
if exist('image_scale')
    imagesc(influenceMatrix,image_scale);
    title(sprintf('%s [%3.2f %3.2f]',titleStr,image_scale(1),image_scale(2)));
else
    imagesc(influenceMatrix);
    title(titleStr);
end
line([ones(1,nchains)*0.5 ; ones(1,nchains)*(sum(n_states)+0.5)],[cumsum(n_states)+0.5 ; cumsum(n_states)+0.5 ],'Color','c','LineStyle','--');
line([cumsum(n_states)+0.5 ; cumsum(n_states)+0.5 ],[ones(1,nchains)*0.5 ; ones(1,nchains)*(sum(n_states)+0.5)],'Color','c','LineStyle','--');
set(gca,'YTick',[1:sum(n_states)],'XTick',[1:sum(n_states)]);

cumIdx = [0 cumsum(n_states(1:end-1))];
for c=1:nchains
   for s=1:n_states(c)
       text(-0.3,cumIdx(c)+s,LABEL_STRINGS{c}{s},'HorizontalAlignment','right');
       text(cumIdx(c)+s,sum(n_states)+1.2,LABEL_STRINGS{c}{s},'HorizontalAlignment','right','Rotation',50);
   end
end


drawnow;