function alphas = chunk_influence_compressed(states_speaking, minutes_per_chunk)
%
% alphas(i, j, t) is the influence of speaker i on speaker j over chunk t.


num_frames = size(states_speaking, 1);
num_speakers = size(states_speaking, 2);

states_speaking_comp(:,1) =states_speaking(:,1);
for i=2:num_speakers
    states_speaking_comp(:,i) = states_speaking(:,i) * 2^(i-1);
end

all = sum(states_speaking_comp,2);
diff = all(1:end-1) - all(2:end);
change = find(diff ~= 0);

states_speaking_influence = states_speaking(change,:);
num_frames = size(states_speaking_influence, 1);


% For the influence model, we want states to be 200 milliseconds long.
frames_per_influence_state = 1;

if (minutes_per_chunk == inf)
    frames_per_chunk = num_frames -frames_per_influence_state +1;
else
    frames_per_chunk = round(8000/128*60*minutes_per_chunk);
end

num_chunks = floor(num_frames / frames_per_chunk);

alphas = zeros(num_speakers, num_speakers, num_chunks);

for t = 1:num_chunks
    % Estimate the influcence parameters
    frames_influence = round(frames_per_chunk*(t-1) / frames_per_influence_state)+1:round(frames_per_chunk*t / frames_per_influence_state);
        
    alphas(:, :, t) = estimate_influence_parameters(states_speaking_influence(frames_influence, :)', 2,states_speaking_influence(frames_influence, :)',2);
end

