
%%%%% create and export an Influence Model

bnet_IM = mk_influence([3 4],[6 7],'dc');

chainStrings = {'chain1','chain2'};
stateStrings = {{'s11','s12','s13'},{'s21','s22','s23','s24'}};
observationUNLs = {'/feat/chain1','/feat/chain2'};
outputUNLs = {'/class/chain1','/class/chain2'};

XML_export_IM('test_IM.xml',bnet_IM,chainStrings,stateStrings,observationUNLs,outputUNLs);


%%%%% create and export a Gaussian Mixture Model (with single Gaussians)

dag = [ 0 1 ; 0 0 ];
discrete_nodes = [1];
node_sizes=[ 6 10 ];
bnet_GMM = mk_bnet(dag, node_sizes, 'discrete', discrete_nodes);
bnet_GMM.CPD{1} = tabular_CPD(bnet_GMM,1,'CPT',[0.1 0.1 0.1 0.2 0.2 0.3]);
bnet_GMM.CPD{2} = gaussian_CPD(bnet_GMM, 2,'cov',rand(10,10,6));
LABEL_STRINGS = {'No speech','Me Speaking','Other speaker','Distant voices','Loud crowd','Speech, but none of the above'};

XML_export_GMM('test_GMM.xml',bnet_GMM,LABEL_STRINGS);
